<?php
/**********************************************
** Inicializacijska datoteka za zabec.net CMS **
** Author: DC @ zabec.net						**
** Date: 2007 											**
**********************************************/
	
/* session */
/***********/
session_start();

/* preverimo če je include preko ajaxa */
/***************************************/
	/* če je prisotna pokažemo pot do modula (zaradi pravilnosti includov knjižnic */
	if ($ajax)
	{
		$mod_path = $ajax;
	}
	/* če ni prisotna uporabimo standardno pot do knjižnic */
	else
	{
		$mod_path = "";
	}


/* vključimo potrebne knjižnice */
/********************************/
	/* errorHandling knjižnica */
	require($mod_path."sys/lib_error_handling.php");
	/* mysql knjižnica */
	require($mod_path."sys/lib_mysql.php");
	/* template knjižnica */
	require($mod_path."sys/lib_template.php");
	/* datoteka, kjer so zbrane funkcije za delo z datotekami */
	include($mod_path."sys/lib_file.php");
	/* datoteka, kjer so zbrane funkcije za delo z slikami */
	include($mod_path."sys/lib_image.php");
	/* dakoteka, kjer so zbrane funkcije, ki skrbijo za preverjanje varnosti skript */
	include($mod_path."sys/lib_security.php");
	/* datoteka, kjer so zbrane funkcije za pomoč pri izpisu v template */
	include($mod_path."sys/lib_simple_template.php");
	/* datoteka, kjer so zbrane funkcije za različen format izpisa spremenljivk */
	include($mod_path."sys/lib_format.php");
	/* Knjižnica, kjer so zbrane funkcije za operiranje http */
	include($mod_path."sys/lib_web.php");
	/* Knjižnica, kjer so zbrane funkcije za vodenje zadnjih sprememb */
	include($mod_path."sys/lib_spremembe.php");
	
/* povezava z databazo */
/***********************/
	$db = new Mysql($settings['db_host'], $settings['db_username'], $settings['db_password'], $settings['db_database']);

/* errorHandling */
/*****************/
	$log = new errorHandling($debug, "db", $settings['template'], $mod_path, $db);

/* OBVEZNO
** Licencni class
**/

	require($mod_path."sys/lib_licence.php");

	$Licence = new Licence($db);
	//Preveril veljavnost
	$Licence->PreveriVeljavnost();

	//Naloži podatke
	$licence_data = $Licence->GetLicenceData();

/* Preberi nastavitve iz baze */
	$result = $db->query("SELECT var,value FROM core_nastavitve ORDER BY id DESC");
	while($r = $result->fetch())
	{
		$settings[$r['var']] = $r['value'];
	}
	
/* Jezik */
include($_SERVER['DOCUMENT_ROOT'] . "/language/".$settings['language']."/lang_".$settings['language'].".php");
?>